Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471007 - Plymouthd blocks keyboard if rescue booting with init=/bin/bash
Summary: Plymouthd blocks keyboard if rescue booting with init=/bin/bash
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-11-11 11:17 UTC by Milan Broz
Modified: 2013-03-01 04:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-15 21:27:16 UTC


Attachments (Terms of Use)

Description Milan Broz 2008-11-11 11:17:53 UTC
Description of problem:

If you change GRUB prompt to replace init with the shell
(almost standard rescue procedure when everything fails)

plymouthd blocks keyboard output - no chars (or only something) is shown
in the prompt.

Anyway, is still accepts input, so if you are able to kill plymouthd and reset terminal, it works again.

Version-Release number of selected component (if applicable):

rawhide, plymouth-0.6.0-0.2008.10.30.4.fc10.i386
(encrypted PV, if it has some impact)

How reproducible:
- remove "rhgb quiet" from GRUB parameters and replace with init=/bin/bash
- try to write something when bash shell appears. press enter.

Expected results:
Working rescue shell only. Note that I do not want boot into single user, I need run shell here instead of init (imagine init is broken, udev is broken, etc)

Comment 1 Ray Strode [halfline] 2008-11-11 15:14:04 UTC
building a fix for this now

plymouth-0.6.0-0.2008.11.11.1

Comment 2 Will Woods 2008-11-15 21:27:16 UTC
This fixed is in current Rawhide plymouth. Please retest and confirm the fix (or reopen the bug if it doesn't work as expected).


Note You need to log in before you can comment on or make changes to this bug.